Foreman - Bug #5553

Filter create/edit breaks if the resource type does not have a corresponding controller with

'autocomplete_search’
05/02/2014 02:29 PM - Eric Helms

Status: Closed

Priority: Normal

Assignee:

Category: Web Interface

Target version: 1.5.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1107710 Red Hat JIRA:

Pull request:

Description

If a permission set is created and specifies a resource type that does not contain an autocomplete route, the permissions aren't
loaded by the Ul and leaves the user in a weird broken state that they are unaware of. The line that leads to this is -
https://github.com/theforeman/foreman/blob/develop/app/helpers/filters_helper.rb#l 14 which throws a backend error since the first

argument is nil.

Related issues:
Has duplicate Foreman - Bug #5578: Cant set permissions on specific resource ... Closed
Copied to Foreman - Feature #5753: Allow customisation of autocomplete_search... Closed

05/05/2014
05/02/2014

Associated revisions

Revision 0c82622c - 05/16/2014 08:49 AM - Dmitri Dolguikh

fixes #5553: FiltersHelper#search_path returns an empty string for unrecognized resources

Revision baddf3e3 - 06/11/2014 01:02 PM - Dmitri Dolguikh

fixes #5553: FiltersHelper#search_path returns an empty string for unrecognized resources

(cherry picked from commit 0c82622ce4cde6ac64d833d1fd96e52339ab60b0)

History

#1 - 05/02/2014 02:36 PM - Dominic Cleal

- Category set to Web Interface

#2 - 05/06/2014 01:35 PM - Eric Helms

Backtrace:

NoMethodError (undefined method “+' for nil:NilClass):
app/helpers/filters_helper.rb:16:in “search_path'
app/controllers/permissions_controller.rb:8:in “index'

actionpack (3.2.17) lib/action_controller/metal/implicit_render.rb:4:in “send_action'
actionpack (3.2.17) lib/abstract_controller/base.rb:167:in “process_action'
actionpack (3.2.17) lib/action_controller/metal/rendering.rb:10:in “process_action’

#3 - 05/07/2014 03:32 PM - Anonymous

- Has duplicate Bug #5578: Cant set permissions on specific resource types added

#4 - 05/09/2014 11:18 AM - Anonymous
- Status changed from New to Ready For Testing

- Target version set to 1.8.3

PR: https://github.com/theforeman/foreman/pull/1431
https://github.com/theforeman/foreman/blob/develop/app/helpers/filters_helper.rb#L14
https://github.com/theforeman/foreman/pull/1431

#5 - 05/16/2014 08:36 AM - Dominic Cleal

- Copied to Feature #5753: Allow customisation of autocomplete_search path for resources in filter create/edit added

#6 - 05/16/2014 08:56 AM - Dominic Cleal

- translation missing: en.field_release set to 16

#7 - 05/16/2014 09:31 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0c82622ce4cdebac64d833d1fd96e52339ab60b0.

#8 - 06/10/2014 12:55 PM - Bryan Kearney
- Bugzilla link set to https.//bugzilla.redhat.com/show_bug.cgi?id=1107710
